Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class ChannelStaticData

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              org.jasig.portal.ChannelStaticData

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class ChannelStaticData

extends java.util.Hashtable

Used to store channel configuration items and parameters.

Version:
  $Revision: 1.26.4.1 $
Author:
  Ken Weiner, Peter Kharchenko, Peter Kharchenko
See Also:
  Serialized Form

Field Summary
`private ICCRegistry` | `iccr`
`private static org.apache.commons.logging.Log` | `log`
`private java.lang.String` | `m_channelPublishId`
`private java.lang.String` | `m_channelSubscribeId`
`private IPerson` | `m_person`
`private javax.naming.Context` | `m_portalContext`
`private long` | `m_timeout`

Constructor Summary
`ChannelStaticData()`

Method Summary
`IAuthorizationPrincipal` | `getAuthorizationPrincipal()` Returns an instance of the IAuthorizationPrincipal for the IPerson
`static IAuthorizationPrincipal` | `getAuthorizationPrincipal(IPerson person)` Returns an instance of the IAuthorizationPrincipal for the IPerson
`java.lang.String` | `getChannelPublishId()` Determine channel publish Id.
`java.lang.String` | `getChannelSubscribeId()` Gets the channel subscribe Id
`ICCRegistry` | `getICCRegistry()` Obtain inter-channel communication registry object
`javax.naming.Context` | `getJNDIContext()` Obtain a channel JNDI context
`java.lang.String` | `getParameter(java.lang.String key)` Get information contained in a particular element
`IPerson` | `getPerson()` Provide information on the user the channel is serving
`long` | `getTimeout()` Maximum time the channel will be allowed to spend in the rendering cycle.
`void` | `setChannelPublishId(java.lang.String channelPublishId)` Setter method for channel publish Id
`void` | `setChannelSubscribeId(java.lang.String channelSubscribeId)` Sets the channel subscribe Id
`void` | `setICCRegistry(ICCRegistry registry)` Set inter-channel communication registry object
`void` | `setJNDIContext(javax.naming.Context c)` Set channel JNDI context.
`java.lang.String` | `setParameter(java.lang.String key, java.lang.String value)` Set information contained in a channel element Parameters are strings!
`void` | `setParameters(java.util.Map params)` Copy parameter list from a Map
`void` | `setPerson(IPerson person)` Setter method for the user being served by the channel
`void` | `setTimeout(long value)` Setter method for channel timeout.
`java.lang.String` | `toString()`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### m_timeout

    private long m_timeout

### m_portalContext

    private javax.naming.Context m_portalContext

### m_channelPublishId

    private java.lang.String m_channelPublishId

### m_channelSubscribeId

    private java.lang.String m_channelSubscribeId

### m_person

    private IPerson m_person

### iccr

    private ICCRegistry iccr

Constructor Detail

### ChannelStaticData

    public ChannelStaticData()

Method Detail

### getAuthorizationPrincipal

    public IAuthorizationPrincipal getAuthorizationPrincipal()

  Returns an instance of the IAuthorizationPrincipal for the IPerson

  Returns:
    instance of the IAuthorizationPrincipal for the IPerson

### getAuthorizationPrincipal

    public static IAuthorizationPrincipal getAuthorizationPrincipal(IPerson person)

  Returns an instance of the IAuthorizationPrincipal for the IPerson

  Parameters:
    `person` - a IPerson instance
  Returns:
    instance of the IAuthorizationPrincipal for the IPerson

### getChannelPublishId

    public java.lang.String getChannelPublishId()

  Determine channel publish Id.

  Returns:
    channel's publish Id (defined at publish-time)

### getChannelSubscribeId

    public java.lang.String getChannelSubscribeId()

  Gets the channel subscribe Id

  Returns:
    the channel's Id (defined at subscribe-time)

### getJNDIContext

    public javax.naming.Context getJNDIContext()

  Obtain a channel JNDI context

  Returns:
    JNDI context

### getParameter

    public java.lang.String getParameter(java.lang.String key)

  Get information contained in a particular element

  Parameters:
    `key` - param name
  Returns:
    param value

### getPerson

    public IPerson getPerson()

  Provide information on the user the channel is serving

  Returns:
    `IPerons` object.

### getTimeout

    public long getTimeout()

  Maximum time the channel will be allowed to spend in the rendering cycle.

  Returns:
    timeout (in milliseconds) after which the channel thread will be killed. Ideally, channels should monitor for this timeout and abort internal execution if the rendering cycle takes too long.

### setChannelPublishId

    public void setChannelPublishId(java.lang.String channelPublishId)

  Setter method for channel publish Id

  Parameters:
    `channelPublishId` - channel publish Id (defined at a publish-time)

### setChannelSubscribeId

    public void setChannelSubscribeId(java.lang.String channelSubscribeId)

  Sets the channel subscribe Id

  Parameters:
    `channelSubscribeId` - the channel subscribe Id

### setJNDIContext

    public void setJNDIContext(javax.naming.Context c)

  Set channel JNDI context.

  Parameters:
    `c` - a `Context` value

### setParameter

    public java.lang.String setParameter(java.lang.String key,
                                         java.lang.String value)

  Set information contained in a channel element Parameters are strings!

  Parameters:
    `key` - param name
    `value` - param value

### setParameters

    public void setParameters(java.util.Map params)

  Copy parameter list from a Map

  Parameters:
    `params` - a map of params

### setPerson

    public void setPerson(IPerson person)

  Setter method for the user being served by the channel

  Parameters:
    `person` - an `IPerson`value.``

### setTimeout

    public void setTimeout(long value)

  Setter method for channel timeout.

  Parameters:
    `value` -

### getICCRegistry

    public ICCRegistry getICCRegistry()

  Obtain inter-channel communication registry object

  Returns:
    an `ICCRegistry` value

### setICCRegistry

    public void setICCRegistry(ICCRegistry registry)

  Set inter-channel communication registry object

  Parameters:
    `registry` - an `ICCRegistry` value

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD